/*!
* @file CreatureTemplate.cpp
* @brief CreatureTempleteクラスとその他付随要素の定義
* @date 2013/12/11
* @author Deskull
* 2013 Sikabane Works.
*/

#include "stdafx.h"
#include "CreatureTemplate.h"

namespace Deeangband
{
	CreatureTemplate::CreatureTemplate(void) : GameElement()
	{
		this->WipeData();
		return;
	}

	CreatureTemplate::~CreatureTemplate(void)
	{
		this->WipeData();
		return;
	}

	void CreatureTemplate::WipeData(void)
	{
		this->statusPlus.Set(0, 0, 0, 0, 0, 0);
		this->disciplinePlus.SetPoint(0, 0, 0, 0, 0);
		return;
	}


	BaseStatusTable* CreatureTemplate::GetStatusPlus(void)
	{
		return &(this->statusPlus);
	}

	Discipline* CreatureTemplate::GetDisciplinePlus(void)
	{
		return &(this->disciplinePlus);
	}

}